=== debian/control ===
Source: ros-crystal-realsense-ros2-camera
Section: misc
Priority: extra
Maintainer: Sharron LIU <sharron.liu@intel.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-crystal-ament-cmake, ros-crystal-ament-cmake-gtest, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-builtin-interfaces, ros-crystal-cv-bridge, ros-crystal-image-transport, ros-crystal-librealsense2, ros-crystal-rclcpp, ros-crystal-realsense-camera-msgs, ros-crystal-rmw-implementation, ros-crystal-rosidl-default-generators, ros-crystal-sensor-msgs, ros-crystal-std-msgs, ros-crystal-tf2-ros, ros-crystal-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-realsense-ros2-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-builtin-interfaces, ros-crystal-cv-bridge, ros-crystal-librealsense2, ros-crystal-rclcpp, ros-crystal-realsense-camera-msgs, ros-crystal-rmw-implementation, ros-crystal-rosidl-default-runtime, ros-crystal-sensor-msgs, ros-crystal-std-msgs, ros-crystal-tf2-ros, ros-crystal-ros-workspace
Description: The realsense_ros2_camera package
